
//***************************
//Target Shader For triggers
//***************************

textures/meat_objects/objects_target
{
	qer_editorimage textures/meat_objects/objects_target.tga

	{
		map textures/meat_objects/objects_target.tga
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
	}
	{
		map textures/meat_objects/objects_targetlight_01.tga
		blendfunc gl_one gl_one
		rgbGen wave sin .1 2 .4 1	
	}
	{
		map textures/meat_objects/objects_targetlight_02.tga
		blendfunc gl_one gl_one
		rgbGen wave sin .1 2 .2 1	
	}
	{
		map textures/meat_objects/objects_targetlight_03.tga
		blendfunc gl_one gl_one
		rgbGen wave sin .1 2 .0 1	
	}
}

//***************************
//Transparent cyclone fence
//***************************

textures/meat_objects/objects_fence
{
	q3map_lightimage textures/meat_objects/objects_fence.tga
	qer_trans .5
	surfaceparm alphashadow
	surfaceparm trans	
	cull none
	nopicmip
	{
		map textures/meat_objects/objects_fence.tga
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}		
}

//***************************
//Transparent metal grate with round holes
//***************************

textures/meat_metal/metal_grateroundhole
{
	q3map_lightimage textures/meat_metal/metal_grateroundhole.tga
	qer_trans .5
	//surfaceparm alphashadow
	surfaceparm trans	
	cull none
	{
		map textures/meat_metal/metal_grateroundhole.tga
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}		
}

//***************************
//Red Flashing Skull
//***************************

textures/meat_objects/objects_bigredskull
{
	qer_editorimage textures/meat_objects/objects_bigredskull.tga

	{
		map textures/meat_tile/tile_bloody.tga
		rgbGen identity
	}	
	{
		map $lightmap
		rgbGen identity
		blendfunc gl_dst_color gl_zero
	}	
	{
		clampmap textures/meat_objects/objects_bigredskull.tga
		blendfunc gl_one gl_one
		tcMod scale .32 .32
		rgbGen wave sin .1 .2 .0 1.5
	}
}

//***************************
//Red Rusty Girder
//***************************

textures/meat_metal/metal_girder
{
	q3map_lightimage textures/meat_metal/metal_girder.tga
	//qer_trans .5
	surfaceparm alphashadow
	surfaceparm trans	
	cull none
	{
		map textures/meat_metal/metal_girder.tga
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}		
}


//***************************
//Rusty Grate rectangle holes
//***************************

textures/meat_metal/metal_rustygrate
{
	q3map_lightimage textures/meat_metal/metal_rustygrate.tga
	qer_trans .5
	//surfaceparm alphashadow
	surfaceparm trans	
	cull none
	{
		map textures/meat_metal/metal_rustygrate.tga
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}		
}





textures/meat_objects/metal_grate_01
{
	surfaceparm	metalsteps
	surfaceparm playerclip
	surfaceparm alphashadow
	surfaceparm	trans	
	cull none


	{
		map textures/meat_objects/metal_grate_01.tga
		tcMod scale 2 2
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		alphaFunc GT0
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}

textures/meat_objects/metal_grate_02
{
	surfaceparm	metalsteps
	surfaceparm	trans	
	cull none

	// A GRATE OR GRILL THAT CAN BE SEEN FROM BOTH SIDES
	{
		map textures/meat_objects/metal_grate_02.tga
		tcMod scale 2 2
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		alphaFunc GT0
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}

textures/meat_objects/metal_grate_04
{
	surfaceparm	metalsteps
	surfaceparm	trans	
	cull none

	// A GRATE OR GRILL THAT CAN BE SEEN FROM BOTH SIDES
	{
		map textures/meat_objects/metal_grate_04.tga
		tcMod scale 2 2
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		alphaFunc GT0
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}